/*
------------------------------------------------------------------------------------------------------------------------------

   Auteur : A4 Technologie
   Date du programme : 25/07/2014
   Version : 1.0
   Application robotique : Portial Coulissant
   Référence du programme : Programme 4 Portail Coulissant

------------------------------------------------------------------------------------------------------------------------------

Configuration des Entrées :

Module                          	Nom de la Variable	Broche Arduino Associéé

Bouton-poussoir Intérieur	        bp_int	                          A0
Fin de course barrière ouverture 	fdc_ouverture	                  A1
Fin de course barrière fermeture 	fdc_fermeture	                  A2
Bouton-poussoir Extérieur	        bp_ext                            A3
Récepteur infrarouge	                recepteur_IR	                  A5




Configuration des Sorties :

Module                          	Nom de la Variable	Broche Arduino Associéé

Diode électroluminescente	        LED	                          4
Moteur sens ouverture	                ouverture	                  10=1 11=0
Moteur sens fermeture	                fermeture	                  10=0 11=1
Emetteur infrarouge	                emetteur_IR	                  5


*/

//Définition des variables, constantes et pin :

// Pin d'entrées
const int bp_ext = A3;
const int fdc_fermeture = A2;
const int fdc_ouverture = A1;
const int bp_int = A0;
const int recepteur_IR = A5;

//Pin de sorties
const int LED = 4;
const int emetteur_IR = 5;

//Configuration moteur
const int ouverture = 10;
const int fermeture = 11;


//Initialisation

void setup()
{

  //paramètrage des pins en entrée/sortie

  // Définition des pins comme des entrées
  pinMode (bp_ext, INPUT);
  pinMode (fdc_ouverture, INPUT);
  pinMode (fdc_fermeture, INPUT);
  pinMode (bp_int, INPUT);
  pinMode (recepteur_IR, INPUT);

  // Définition des pins comme des sorties
  pinMode (LED, OUTPUT);
  pinMode (ouverture, OUTPUT);
  pinMode (fermeture, OUTPUT);
  pinMode (emetteur_IR, OUTPUT);

  // Etat Initial des sorties
  digitalWrite(ouverture, LOW); // Il est important que les deux états contrôlant le moteur
  digitalWrite(fermeture, LOW); // ne soient jamais tous les deux sur HIGH en même temps

  digitalWrite(emetteur_IR, HIGH); // activation de l'emetteur IR
}



//Programme principal

//Boucle infinie
void loop()
{
  if (digitalRead(recepteur_IR) == HIGH) // si le camps infrarouge a été obstruit
  {
    digitalWrite(LED, HIGH); // allumage de la LED
    delay (100); // attendre 100 ms
  }

  else
  {
    digitalWrite(LED, LOW); // extinction de la LED
    delay (100); // attendre 100 ms
  }
}
// Fin du Programme principal


